Backup & Restore

get

Get a backup/restore item details

Path parameters
idinteger · int64Required

The unique identifier held by the backup Lenses store

Responses
chevron-right
200Success
application/json
idinteger · int64Required
createdAtinteger · int64Required
typestring · enumRequiredPossible values:
topicstringRequired
connectClusterstringRequired
connectorNamestringRequired
connectorVersionstringRequired
s3LocationstringRequired
referencestringOptional
get
/api/v1/environments/{name}/proxy/api/v1/s3/backups/{id}
post

Back up a topic to S3. You must configure the bucket, optional prefix and the flush settings.

Path parameters
topicstringRequired

The topic name

Body
clusterstringRequired
Responses
post
/api/v1/environments/{name}/proxy/api/v1/kafka/topic/{topic}/backup
delete

Delete a backup/restore item

Path parameters
idinteger · int64Required

The unique identifier held by the backup Lenses store

Responses
chevron-right
200Success

No content

delete
/api/v1/environments/{name}/proxy/api/v1/s3/backups/{id}

No content

get

List all backup/restore items

Responses
chevron-right
200Success
application/json
idinteger · int64Required
createdAtinteger · int64Required
typestring · enumRequiredPossible values:
topicstringRequired
connectClusterstringRequired
connectorNamestringRequired
connectorVersionstringRequired
s3LocationstringRequired
referencestringOptional
get
/api/v1/environments/{name}/proxy/api/v1/s3/backups

Last updated

Was this helpful?